Skip to main content
GET
/
consumers
/
{consumer_id}
/
commerce
/
customers
/
{customer_id}
Get one specific customer
curl --request GET \
  --url https://api.chift.eu/consumers/{consumer_id}/commerce/customers/{customer_id}
import requests

url = "https://api.chift.eu/consumers/{consumer_id}/commerce/customers/{customer_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.chift.eu/consumers/{consumer_id}/commerce/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "source_ref": {
    "id": "<string>",
    "model": "<string>"
  },
  "first_name": "<string>",
  "last_name": "<string>",
  "phone": "<string>",
  "email": "<string>",
  "language": "<string>",
  "internal_notes": "<string>",
  "currency": "<string>",
  "addresses": [],
  "created_on": "2023-11-07T05:31:56Z"
}
{
"message": "Error while trying to perform your request",
"status": "error"
}
{
"message": "The customer doesn't exist.",
"status": "error"
}
{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

consumer_id
string<uuid>
required
customer_id
string
required

Response

Successful Response

id
string
required

Technical id in Chift

source_ref
Ref · object
required

Technical id in the target software

first_name
string | null
last_name
string | null
phone
string | null
email
string | null
language
string | null

Format: ISO 639-1 codes.

internal_notes
string | null
currency
string | null

Indicates the currency of the client (e.g. EUR).

addresses
CommerceAddressItemOut · object[] | null
created_on
string<date-time> | null